<template>
    <div class="select-items">
        <a
            href="#"
            @click.prevent="onChangeCity"
            v-for="(city, index) in cities"
            :key="index"
            class="select-item" 
			:class="{'active' : index == active }"
        >{{ city }}</a>
    </div>
</template>


<script>
import Samples from "../../samples.js";

import map from "lodash-es/map";
import uniqBy from "lodash-es/uniqBy";
import filter from "lodash-es/filter";

// console.log(Samples.points);
export default {
    props: {
        items: {
            type: Array,
            default: () => Samples.points
        }
    },
    data() {
        return {
            active: 0,
            selectedCity: null,
            selectedPlace: null,
            cities: map(uniqBy(this.items, "city"), "city")
        };
    },
    methods: {
        changeCity: function(items, activeCity) {
			this.active = activeCity || 0;
			this.$emit("itemsVisibleChanged", items);
		},
        onChangeCity: function(e) {
            let res = filter(this.items, { city: e.target.innerText });
			this.changeCity(
				res,
				[].indexOf.call(
					e.target.parentNode.children,
					e.target
				)
			)
        }
	},
	mounted() {
		// console.log(_.filter(this.items, { city: this.cities[0] }));
		this.changeCity(
			filter(this.items, { city: this.cities[0] }),
			0
		)
	},
};
</script>